New version of F Secure no longer supported for my device

Options
MargosDezerian
MargosDezerian Posts: 115 Active Engager

Hi,

my device is no longer supported for the new F Secure app. Sony XZ1 Compact with Android 9.

So that means, a paid subscriber is locked out from using the paid service for no reason?

If thats the case, this will be my last subscription.

Especially that I can no longer use the password manager is extremely annoying.

Accepted Answer

  • Firmy
    Firmy Posts: 1,738 Community Manager
    Answer ✓
    Options

    Hello @MargosDezerian

    Thank you for your post.

    We truly understand your concerns, and please know that protecting our users and their privacy is of utmost importance to us. We regret any inconvenience this may have caused you.

    We encourage you to explore our active thread discussing a similar topic, where you can find detailed information on what to expect after the end-of-life period. You can access the thread through the following link:

    F-Secure ID Protection after subscription ends

    Should you require any additional assistance or clarification, please don't hesitate to reach out to us. We're here to help.

    Thank you for your understanding, and we wish you a pleasant day ahead.

Answers

  • Ukko
    Ukko Posts: 3,634 Superuser
    Options

    Hello,

    Sorry for the discussion.

    Just interesting. Because the device is not compatible, then 'updating' or installing new F-Secure App was not done? If so, can you still use the 'old' app? Or it is uninstalled / deactivated?

    // based on EoL announcement topics - F-Secure IDP and F-Secure FREEDOME still available, at least, till May. Then perhaps they will also be 'available', but without further updates or fixes(?) to them. Or, so to speak, it will be impossible to receive updates/tweaks in the app that can only be implemented in Android 10+.

    Thanks!

  • MargosDezerian
    MargosDezerian Posts: 115 Active Engager
    edited April 29
    Options

    When they are still available then that's no problem. But it sounds like they will discontinue these apps.

    Now I can use it normally.

    The new version I can't install.